# Command: EvaluateLiteralInfixes

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    EvaluateLiteralInfixes - Evaluates an array of infix expressions

Synopsis:

    array -> array

Examples:

      [ 5 /add 6 /sub 2] EvaluateLiteralInfixes --> [9]
      [ 5 --> 6 true ] EvaluateLiteralInfixes   --> [false true]

Description:

      The function evaluates an array of expressions assuming that every
      literal is an infix operator. Inside this function --> is defined as
      eq, the comparison for equality.

Remarks:

      With the further development of test driven programming and unit
      testing in NEST, the function may develop into a more complete
      parser for infix notation

Author:

    Diesmann

FirstVersion:

    080506

SeeAlso:

- helpdesk
- -->

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/lib/sli/helpinit.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative